Update the cohesion guide
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/"
payload = { "cohesion_guide_text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cohesion_guide_text: '<string>'})
};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cohesion_guide_text": "<string>"
}
'{
"cohesion_guide_mode": "default",
"cohesion_guide_text": "<string>",
"default_cohesion_guide": "<string>"
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}Artifacts
Update the cohesion guide
Update the default snapshot’s cohesion guide. When cohesion_guide_mode
is default, cohesion_guide_text is cleared server-side. Requires
admin permission.
PATCH
/
projects
/
{project_id}
/
artifacts
/
cohesion-guide
/
Update the cohesion guide
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/"
payload = { "cohesion_guide_text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cohesion_guide_text: '<string>'})
};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cohesion_guide_text": "<string>"
}
'{
"cohesion_guide_mode": "default",
"cohesion_guide_text": "<string>",
"default_cohesion_guide": "<string>"
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}Authorizations
BearerAuthTokenAuth
Use Authorization: Bearer
Path Parameters
UUID of the project
Body
application/json